# IteratorIterator::__construct

(PHP 5 >= 5.1.0, PHP 7)

IteratorIterator::__construct — Create an iterator from anything that is traversable

### Description

public IteratorIterator::__construct ( Traversable `$iterator` )

Creates an iterator from anything that is traversable.

### Parameters

`iterator`

  The traversable iterator.

### Return Values

No value is returned.

### See Also

- Traversable